%define	name	volumeicon
%define	version	0.4.6
%define	release	%mkrel 3

Summary:	Lightweight volume control
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	GPLv3
URL:		http://softwarebakery.com/maato/volumeicon.html
Source:         http://softwarebakery.com/maato/files/volumeicon/%{name}-%{version}.tar.gz
Patch0:		glib.h_include.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:  intltool 
BuildRequires:  %{_lib}notify-devel
Buildrequires:	%{_lib}alsa2-devel

Obsoletes: %name < %version

%description
Volume Icon aims to be a lightweight volume control that sits in your systray.
Features

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable stepsize (percentage of volume increase/decrease per scrollwheel step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider


%prep
%setup -q 
%patch0 -p1

%build
%configure2_5x
       
%make 

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%_sysconfdir/xdg/autostart/
cat > %{buildroot}%_sysconfdir/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_sysconfdir/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.4.6-3.mga3
+ Revision: 385482
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 hman <hman> 0.4.6-2.mga2
+ Revision: 219319
- fix glib.h_include patch
- fix glib.h_include patch
- added glib.h include patch
- removed unused files
- update to 0.4.6
- imported package volumeicon

